import https from '@/plugins/luch-request_0.0.7/request'

/** *
 * 员工列表 b
 */
export const getStaffList = data => {
	return https.get('/admin/list', data)
}

/** *
 * 查看员工 b
 */
export const getStaffDet = data => {
	return https.get('/admin/detail', data)
}

/** *
 * 添加员工 b
 */
export const addStaff = data => {
	return https.post('/admin/add', data)
}

/** *
 * 修改员工 b
 */
export const updateStaff = data => {
	return https.post('/admin/update', data)
}

/** *
 * 删除员工 b
 */
export const delStaff = data => {
	return https.get('/admin/delete', data)
}

/** *
 * 员工角色--列表 b
 */
export const getRoleList = data => {
	return https.get('/admin-role/list', data)
}

/** *
 * 员工角色--添加 b
 */
export const addRole = data => {
	return https.post('/admin-role/add', data)
}

/** *
 * 员工角色--修改 b
 */
export const updateRole = data => {
	return https.post('/admin-role/update', data)
}

/** *
 * 员工角色--删除 b
 */
export const delRole = data => {
	return https.get('/admin-role/delete', data)
}

/** *
 * 操作记录 b
 */
export const getLogList = data => {
	return https.get('/admin-log/list', data)
}
